> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a ticket

> Get a list of changes to ticket objects. Returns 1000 (or fewer) changes, starting with the _least recent_ change. Returned changes are limited to the last 24 hours. Changes prior to that period will not be returned. This endpoint is designed to be polled periodically, allowing your integration to keep track of which objects have been updated so that you can get the details of those updated objects. After each request, the timestamp, changeType, and objectId of the most recently changed record (which will be the last record in the returned list of changes) should be stored by your integration, as you can use those values to get changes that occurred later, allowing you to pull only changes that occurred after your last polling request. All three values must be stored, as the combination of those values is what your integration needs to use to get changes that occurred after your last polling attempt. See the example for more details. Note: The newAssociations and the removedAssociations arrays will always be empty. This endpoint uses a standard response type which includes these arrays, but it doesn't actually populate them.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json DELETE /crm-objects/v1/objects/tickets/{id}
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/tickets/{id}:
    delete:
      summary: Delete a ticket
      description: >-
        Get a list of changes to ticket objects. Returns 1000 (or fewer)
        changes, starting with the _least recent_ change. Returned changes are
        limited to the last 24 hours. Changes prior to that period will not be
        returned. This endpoint is designed to be polled periodically, allowing
        your integration to keep track of which objects have been updated so
        that you can get the details of those updated objects. After each
        request, the timestamp, changeType, and objectId of the most recently
        changed record (which will be the last record in the returned list of
        changes) should be stored by your integration, as you can use those
        values to get changes that occurred later, allowing you to pull only
        changes that occurred after your last polling request. All three values
        must be stored, as the combination of those values is what your
        integration needs to use to get changes that occurred after your last
        polling attempt. See the example for more details. Note: The
        newAssociations and the removedAssociations arrays will always be empty.
        This endpoint uses a standard response type which includes these arrays,
        but it doesn't actually populate them.
      operationId: deletecrmobjectsv1objectsticketsid
      responses:
        '200':
          description: Successful response - Get a list of changes to ticket objects
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete a ticket - Example 1
                  value: Returns a 204 No Content response on success.
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````